Bug 828126 - disk quota is not changed after move this app from small node to medium node
disk quota is not changed after move this app from small node to medium node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 06:11 EDT by Johnny Liu
Modified: 2015-05-14 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_1866
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-06-04 06:11:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):
devenv-stage_200

How reproducible:
Always

Steps to Reproduce:
1. Set up a multi-node env, set up two districts, one is "small", another is "medium".
2. Create an app of small gear size
3. Log into app via rhcsh, run quota to get quota info.
$ ssh fc430058984d4f7a817fb7a52c8ee85a@jbosstest-jialiu.dev.rhcloud.com quota
Disk quotas for user fc430058984d4f7a817fb7a52c8ee85a (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2   13480       0 1048576            1137       0   40000        

4. Move this gear from "small" district to "medium" district.
5. Repeat step 3 to compare the disk quota.
  
Actual results:
After move operation, quota file limit is not changed.

Expected results:
Accordign to difference between medium and small profile, quota file is different.
# sdiff resource_limits.conf.small resource_limits.conf.medium
<--snip-->
quota_files=40000      |	quota_files=468114
<--snip-->
After move operation, quota file limit should be changed according to profile setting.


Additional info:
Comment 1 Rony Gong 2012-06-26 01:47:42 EDT
Reopen it on devenv_1863, the quota limit still have no change for move across different profile district(small to medium).
Before move:
[qphp-qgong1.dev.rhcloud.com ~]\> quota
Disk quotas for user 62e92442f7fb411e96736d185c937c7a (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     628       0 1048576             159       0   40000 

After move:
[qphp-qgong1.dev.rhcloud.com ~]\> quota
Disk quotas for user 62e92442f7fb411e96736d185c937c7a (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     624       0 1048576             159       0   40000
Comment 2 Dan McPherson 2012-06-26 12:55:49 EDT
Fixed in says devenv_1864
Comment 3 Rony Gong 2012-06-26 22:48:20 EDT
Retest it on devenv_1864(app ruby-1.8), fail, no change for quota limit:
Before move:
[qruby181-qgong2.dev.rhcloud.com ~]\> quota
Disk quotas for user fecc920ee32148f69094ca491bc2469e (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     468       0 1048576    
         134       0   40000
After move:
[qruby181-qgong2.dev.rhcloud.com ~]\> quota
Disk quotas for user fecc920ee32148f69094ca491bc2469e (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     504       0 1048576             148       0   40000
Comment 4 Dan McPherson 2012-06-27 10:46:06 EDT
It appears the 1864 build wasn't valid still.  Fix should be in 1866 or after.
Comment 5 Rony Gong 2012-06-29 02:23:26 EDT
Retest it on devenv_1864(app ruby-1.8), fail, no change for quota limit:
Before move:
[qruby181-qgong2.dev.rhcloud.com ~]\> quota
Disk quotas for user fecc920ee32148f69094ca491bc2469e (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     468       0 1048576    
         134       0   40000
After move:
[qruby181-qgong2.dev.rhcloud.com ~]\> quota
Disk quotas for user fecc920ee32148f69094ca491bc2469e (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     504       0 1048576             148       0   40000
Comment 6 Dan McPherson 2012-07-03 14:00:57 EDT
See comment 4.  Should be tested on 1866 or after.
Comment 7 Rony Gong 2012-07-10 01:45:49 EDT
Verified on devenv_1882
Before move
[qphp-qgong6.dev.rhcloud.com ~]\> quota
Disk quotas for user 2f34564800ca4931b8a4a40a8fb90f97 (uid 1012): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     616       0 1048576             157       0   40000  

After move
[qphp-qgong6.dev.rhcloud.com ~]\> quota
Disk quotas for user 2f34564800ca4931b8a4a40a8fb90f97 (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvde2     620       0 1048576             158       0  468114

Note You need to log in before you can comment on or make changes to this bug.